default:
  image: node:16.16.0

before_script:
    - cp ${PRODUCTION_ENV_FILE} .env

test-job:
  stage: test
  script:
    - npm i
    - npm run test

pages:
  stage: build
  image: asciidoctor/docker-asciidoctor:main
  script:
    - >
      asciidoctor -r asciidoctor-diagram -a data-uri \
        -a toc=left \
        -a sectnums \
        -a reproducible \
        -a icons=font \
        -a source-highlighter=Pygments \
        -a experimental \
        -D public \
        -R doc '**/*.adoc'
  artifacts:
    paths:
      - public

deploy-job:
  stage: deploy
  script:
    - echo "Deploy to production server"
    - curl -s "https://api.render.com/deploy/srv-${HOOK_1}?key=${HOOK_2}" -o file.txt >/dev/null 2>&1
  environment:
    name: production
    url: https://dashboard.render.com/web/srv-${HOOK_1}
  only:
    - main
  when: manual
